
Redmine - Defect #31140

"English" becomes unavailable from Redmine 4.0.3

2019-04-04 08:13 - Ko Nagase

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 4.0.3

Description

After upgrading Redmine 4.0.2 => 4.0.3, [My account] - [Language] setting's "English" option becomes unavailable.
History

#1 - 2019-04-04 08:17 - Go MAEDA

- Status changed from New to Needs feedback

- Private changed from No to Yes

I cannot reproduce the problem.

Running 'bin/rails tmp:clear' under the installation directory of Redmine may fix it.

#2 - 2019-04-04 08:17 - Go MAEDA

- Private changed from Yes to No

#3 - 2019-04-04 08:22 - Toshi MARUYAMA

- File en.png added

I cannot reproduce too.
en.png 

#4 - 2019-04-04 08:26 - Ko Nagase

Thanks for quick advice!

I confirmed that running "bin/rails tmp:clear" solved the issue.

#5 - 2019-04-04 08:30 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Thank you for the feedback.

#6 - 2019-04-07 05:00 - Ko Nagase

From further checking, I found that the issue cause was the followings.

1. I created "ja.yml" file on 1 plugin with invalid "en:" key on Redmine 4.0.3 environment.

(I forgot to replace the key to "ja:" after copying the file from "en.yml".)

redmine

  +- plugins

    +- redmine_xxx

      +- config

2025-05-02 2/3



        +- locales

          +- en.yml

          +- ja.yml (invalid "en:" key)

    +- :

2. Before checking Redmine itself, I removed all plugins, but I didn't execute "bin/rails tmp:clear".

I am so sorry for bothering you by my mistake.
